/**
* DevExtreme (pdf_exporter.d.ts)
* Version: 20.2.2 (build 20280-0711)
* Build date: Tue Oct 06 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import dxDataGrid from './ui/data_grid';

/**
 * 
 * Warning! This type is used for internal purposes. Do not import it directly.
 */
export interface PdfExportDataGridProps {
     /**
      * 
      */
    jsPDFDocument?: object;
     /**
      * 
      */
    autoTableOptions?: object;
    /**
     * 
     */
    component?: dxDataGrid;
    /**
     * 
     */
    selectedRowsOnly?: boolean;
    /**
     * 
     */
    keepColumnWidths?: boolean;
}

/**
 * 
 */
export function exportDataGrid(options: PdfExportDataGridProps): Promise<void> & JQueryPromise<void>;
